[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

[virt-tools-list] [PATCH virt-viewer] Ensure windres & icotool are present on Win32 builds



From: "Daniel P. Berrange" <berrange redhat com>

Builds are failing with an obscure error message

make[3]: Entering directory `/var/lib/builder/source-root/virt-viewer/build/icons'
  GEN    virt-viewer.ico
/bin/sh: -c: command not found
make[3]: *** [virt-viewer.ico] Error 127

This is because configure.ac does not enforce that icotool
is present on Win32.

* configure.ac: Mandate windres & icotool on Win32
---
 configure.ac |    7 +++++++
 1 files changed, 7 insertions(+), 0 deletions(-)

diff --git a/configure.ac b/configure.ac
index d35e887..c8e7429 100644
--- a/configure.ac
+++ b/configure.ac
@@ -41,6 +41,13 @@ AC_PROG_LIBTOOL
 AS_IF([test "x$os_win32" = "xyes"], [
      AC_CHECK_TOOL(WINDRES, [windres])
      AC_CHECK_PROGS(ICOTOOL, [icotool])
+
+     if test -z "$WINDRES" ; then
+       AC_MSG_ERROR("windres is required to compile virt-viewer on this platform")
+     fi
+     if test -z "$ICOTOOL" ; then
+       AC_MSG_ERROR("icotool is required to compile virt-viewer on this platform")
+     fi
 ])
 
 AC_CONFIG_LIBOBJ_DIR([src])
-- 
1.7.7.6


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]